Get payment session (private)
curl --request GET \
--url https://api.example.com/v2/account/payment-session/{payment-session-id} \
--header 'Authorization: Bearer <token>'{
"paymentSession": {
"appearance": {
"accent": "<string>",
"accentForeground": "<string>",
"background": "<string>",
"border": "<string>",
"card": "<string>",
"destructive": "<string>",
"foreground": "<string>",
"input": "<string>",
"locale": "<string>",
"logoUrl": "<string>",
"mutedForeground": "<string>",
"popover": "<string>",
"primary": "<string>",
"primaryForeground": "<string>",
"radius": "<string>",
"ring": "<string>",
"secondary": "<string>",
"secondaryForeground": "<string>",
"showBrlaLogo": true,
"showPoweredBy": true,
"widgetBackground": "<string>"
},
"createdAt": "<string>",
"creatorFullName": "<string>",
"expiresAt": "<string>",
"externalId": "<string>",
"id": "<string>",
"mainAccountId": "<string>",
"metadata": {},
"onCompleteRedirectionUrl": "<string>",
"outputCurrency": "<string>",
"paymentOptions": [
{
"amount": 123,
"currency": "<string>",
"paymentMethod": "<string>"
}
],
"subAccountId": "<string>",
"ticketId": "<string>",
"ticketJson": [
123
],
"ticketStatus": "<string>",
"updatedAt": "<string>",
"workspaceId": "<string>"
}
}payment-session-private
Get payment session (private)
GET
/
v2
/
account
/
payment-session
/
{payment-session-id}
Get payment session (private)
curl --request GET \
--url https://api.example.com/v2/account/payment-session/{payment-session-id} \
--header 'Authorization: Bearer <token>'{
"paymentSession": {
"appearance": {
"accent": "<string>",
"accentForeground": "<string>",
"background": "<string>",
"border": "<string>",
"card": "<string>",
"destructive": "<string>",
"foreground": "<string>",
"input": "<string>",
"locale": "<string>",
"logoUrl": "<string>",
"mutedForeground": "<string>",
"popover": "<string>",
"primary": "<string>",
"primaryForeground": "<string>",
"radius": "<string>",
"ring": "<string>",
"secondary": "<string>",
"secondaryForeground": "<string>",
"showBrlaLogo": true,
"showPoweredBy": true,
"widgetBackground": "<string>"
},
"createdAt": "<string>",
"creatorFullName": "<string>",
"expiresAt": "<string>",
"externalId": "<string>",
"id": "<string>",
"mainAccountId": "<string>",
"metadata": {},
"onCompleteRedirectionUrl": "<string>",
"outputCurrency": "<string>",
"paymentOptions": [
{
"amount": 123,
"currency": "<string>",
"paymentMethod": "<string>"
}
],
"subAccountId": "<string>",
"ticketId": "<string>",
"ticketJson": [
123
],
"ticketStatus": "<string>",
"updatedAt": "<string>",
"workspaceId": "<string>"
}
}⌘I